%global pypi_name sphinxcontrib-websupport

%bcond_with tests

Name:           python-sphinxcontrib-websupport
Version:        1.2.4
Release:        %mkrel 4
Group:          Development/Python
Summary:        Sphinx API for Web Apps

License:        BSD
URL:            https://pypi.python.org/pypi/sphinxcontrib-websupport
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-mock
%if %{with tests}
BuildRequires:  python3-pytest
%endif
BuildRequires:  python3-setuptools

%description
sphinxcontrib-webuspport provides a Python API to easily integrate Sphinx
documentation into your Web application.

%package -n     python3-%{pypi_name}
Summary:        Sphinx API for Web Apps
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
sphinxcontrib-webuspport provides a Python API to easily integrate Sphinx
documentation into your Web application.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

#we don't want these
rm -rf %{buildroot}/%{python3_sitelib}/*-nspkg.pth

%if %{with tests}
%check
PYTHONPATH=. py.test tests/
%endif

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/sphinxcontrib/
%{python3_sitelib}/sphinxcontrib_websupport-%{version}-py%{python3_version}.egg-info
#%%{python3_sitelib}/sphinxcontrib_websupport-%%{version}-py%%{python3_version}-nspkg.pth


%changelog
* Fri Mar 25 2022 umeabot <umeabot> 1.2.4-4.mga9
+ Revision: 1825599
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 1.2.4-3.mga9
+ Revision: 1772058
- rebuild for python3.10

* Sun Mar 14 2021 wally <wally> 1.2.4-2.mga9
+ Revision: 1702687
- rebuild for python 3.9

* Mon Sep 14 2020 guillomovitch <guillomovitch> 1.2.4-1.mga8
+ Revision: 1626575
- new version 1.2.4

* Mon Apr 20 2020 wally <wally> 1.2.1-1.mga8
+ Revision: 1570134
- new version 1.2.1

* Sun Feb 16 2020 umeabot <umeabot> 1.1.2-3.mga8
+ Revision: 1530924
- Mageia 8 Mass Rebuild

* Fri Sep 06 2019 wally <wally> 1.1.2-2.mga8
+ Revision: 1437837
- rebuild for python3.8
- drop python2 support

* Sat Jul 06 2019 wally <wally> 1.1.2-1.mga8
+ Revision: 1418930
- new version 1.1.2

* Sun Mar 31 2019 wally <wally> 1.1.0-1.mga7
+ Revision: 1383427
- new version 1.1.0

* Sat Jan 05 2019 wally <wally> 1.0.1-3.mga7
+ Revision: 1349676
- rebuild for python3.7
- add bcond for tests and disable tests for now

* Thu Sep 20 2018 umeabot <umeabot> 1.0.1-2.mga7
+ Revision: 1290227
- Mageia 7 Mass Rebuild

* Wed Dec 27 2017 wally <wally> 1.0.1-1.mga7
+ Revision: 1185622
- imported package python-sphinxcontrib-websupport

